summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-09-01 19:33:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-09-03 07:17:18 +0700
commit5fdb4f21fd469006a6bf392f11fd0eaebe902edb (patch)
tree5103cc0de2631133a0f0b762ff1d40359681ee6c /desktop
parentb5365b5afeb7b9ccee75e7f10a38876a62bd730b (diff)
downloadslackbuilds-5fdb4f21fd469006a6bf392f11fd0eaebe902edb.tar.gz
slackbuilds-5fdb4f21fd469006a6bf392f11fd0eaebe902edb.tar.xz
desktop/numix-pack: Added (Icons, Themes, Wallpapers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/numix-pack/README6
-rw-r--r--desktop/numix-pack/doinst.sh24
-rw-r--r--desktop/numix-pack/numix-pack.SlackBuild68
-rw-r--r--desktop/numix-pack/numix-pack.info10
-rw-r--r--desktop/numix-pack/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/desktop/numix-pack/README b/desktop/numix-pack/README
new file mode 100644
index 0000000000..2efcc451fa
--- /dev/null
+++ b/desktop/numix-pack/README
@@ -0,0 +1,6 @@
+numix-pack (Icons, Cinnamon, GNOME3, LXDE, MATE, Unity, Xfce)
+
+numix-pack provides icons, themes and wallpapers for Cinnamon, Gnome3,
+LXDE, MATE, Unity and XFCE.
+
+Optional dependencies: gtk-engines, murrine, gtk-engines-unico.
diff --git a/desktop/numix-pack/doinst.sh b/desktop/numix-pack/doinst.sh
new file mode 100644
index 0000000000..0fa5d81798
--- /dev/null
+++ b/desktop/numix-pack/doinst.sh
@@ -0,0 +1,24 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/desktop/numix-pack/numix-pack.SlackBuild b/desktop/numix-pack/numix-pack.SlackBuild
new file mode 100644
index 0000000000..8740a6442c
--- /dev/null
+++ b/desktop/numix-pack/numix-pack.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# Slackware build script for numix-pack.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="numix-pack"
+VERSION=${VERSION:-0.3.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="Numix-Pack"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM}_${VERSION}.tar.gz -C $PRGNAM-$VERSION/
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/etc/skel/.config
+cp -a .config/blender $PKG/etc/skel/.config
+
+mkdir -p $PKG/usr/share/{fonts/TTF,icons,themes,wallpapers}
+cp -a .icons/Plataro-Numix $PKG/usr/share/icons
+cp -a .local/share/fonts/* $PKG/usr/share/fonts/TTF
+cp -a .themes/Numix $PKG/usr/share/themes
+cp -a wallpapers/* $PKG/usr/share/wallpapers
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/wallpapers/copyright.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/numix-pack/numix-pack.info b/desktop/numix-pack/numix-pack.info
new file mode 100644
index 0000000000..8e4947920e
--- /dev/null
+++ b/desktop/numix-pack/numix-pack.info
@@ -0,0 +1,10 @@
+PRGNAM="numix-pack"
+VERSION="0.3.7"
+HOMEPAGE="https://www.gnome-look.org/p/1137261/"
+DOWNLOAD="https://dl.opendesktop.org/api/files/download/id/1472518050/Numix-Pack_0.3.7.tar.gz"
+MD5SUM="9fd982d13523a3ea3800ca6e6ec1196c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/numix-pack/slack-desc b/desktop/numix-pack/slack-desc
new file mode 100644
index 0000000000..c62fc6f90b
--- /dev/null
+++ b/desktop/numix-pack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+numix-pack: numix-pack (Icons, Cinnamon, GNOME3, LXDE, MATE, Unity, Xfce)
+numix-pack:
+numix-pack: numix-pack provides icons, themes and wallpapers for Cinnamon, Gnome3,
+numix-pack: LXDE, MATE, Unity and XFCE.
+numix-pack:
+numix-pack: Home page: https://www.gnome-look.org/p/1137261/
+numix-pack:
+numix-pack:
+numix-pack:
+numix-pack:
+numix-pack: